texmaker (6.0.1+dfsg-3) unstable; urgency=medium

  * debian/control, Revert changes to restrict hard B-D.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 04 Nov 2025 23:56:52 -0500

texmaker (6.0.1+dfsg-2) unstable; urgency=medium

  * debian/control, Restrict qt6-webengine-dev to supported arches.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 02 Nov 2025 22:08:11 -0500

texmaker (6.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #1048798)
  * debian/patches, Remove some patches, refactored.
    + Add fix-build-against-qt-6-10.patch to avoid FTBFS.
    + Add use-system-libs.patch to avoid emmbeded copies.
    + Add update-metadata.patch to make lintian happy.
  * debian/watch, Update to 5 format.
  * debian/upstream/metadata, Update metadata.
  * debian/texmaker.docs, Update docs path.
  * debian/texmaker-data.install, Update dictionaries path.
  * debian/rules, Update to use cmake.
  * debian/control, Bump Standards-Version to 4.7.2 (no changes).
    + Update dependencies to QT6.
    + Add dymanic libraries.
    + Add breaks with previous version.
    + Add cmake.
    + Remove Rules-Requires-Root, is not needed anymore.
  * debian/copyright, Update upstream and debian copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Sun, 26 Oct 2025 21:15:42 -0500

texmaker (5.1.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Drop unnecessary Build-Depends: libqt5webkit5-dev.

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 20:46:13 +0100

texmaker (5.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build with system zlib (closes: #1075565).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2024 23:26:41 +0300

texmaker (5.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches, Remove some patches, merge with upstream.
    + 10_spelling_dict.patch
    + 20-add-keywords-desktop-file.patch
    + 30-fix-spelling-errors.patch
  * debian/patches, Refresh patches offset.
    + 50-Add-link-to-system-installed-synctex-lib.patch
    + 70-add-crossbuild-support.patch
  * debian/control, Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright, Update debian copyright holder years.
  * debian/watch, Update URI to https.
  * debian/rules, set DEBIAN_SPELLDIR. (Closes: #898261)
    + Convert national encoding to UTF-8.
  * debian/upstream/metadata, Add upstream metadata.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 01 Nov 2022 16:11:04 -0500

texmaker (5.1.2+dfsg-2) unstable; urgency=medium

  * Drop usr/share/pixmaps from texmaker package
  * texmaker-data: Conflicts: texmaker (= 5.1.2+dfsg-1)
    Closes: #1007149

 -- Andreas Tille <tille@debian.org>  Thu, 17 Mar 2022 18:07:54 +0100

texmaker (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 1.3-1.
  * watch file standard 4 (routine-update)
  * Drop synctex_parser from upstream source
  * Install locale files from debian/tmp
  * Provide /usr/share/texmaker dir as installed by upstream
  * Remove extra license and changelog file
  * Docs will be installed via symlinks

 -- Andreas Tille <tille@debian.org>  Fri, 11 Mar 2022 13:48:13 +0100

texmaker (5.0.3-1) unstable; urgency=medium

  [ Julián Moreno Patiño ]
  * New upstream release.
  * debian/patches/70-add-crossbuild-support.patch, Add
    crossbuild support. (Closes: #916237)
    + Thanks to Helmut Grohne for it.
  * debian/control, Bump Standards-Version to 4.3.0 (no changes).
    + Bump debhelper version to 11.
    + Remove trailing whitespaces.
  * debian/compat, Switch compat level 10 to 11.
  * debian/changelog, Remove trailing whitespaces.
  * debian/copyright, Extend copyright holders years.

  [ Philip Rinn ]
  * Team upload.
  * Mark texmaker-data Multi-Arch: foreign

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 11 Feb 2019 23:28:42 -0500

texmaker (5.0.2-2) unstable; urgency=medium

  [ Philip Rinn ]
  * Team upload.
  * d/patches: fix crash with new libsynctex (fixes: #896656, #897071, #896567)
    + Add 60-fix-for-new-libsynctex1-API.patch to fix crash on startup
  * Update Vcs URLs in d/control to point to salsa.d.o

  [ Andreas Tille ]
  * Clean up copyright
  * Standards-Version: 4.1.4

 -- Philip Rinn <rinni@inventati.org>  Thu, 03 May 2018 18:18:35 +0200

texmaker (5.0.2-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.3 (no changes needed)
  * Build-Depends: qtbase5-private-dev

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2018 13:18:54 +0100

texmaker (4.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Remove Ruben Molina from Uploaders since his mail address bounces

  [ Julián Moreno Patiño ]
  * New upstream release.
  * d/patches: Refresh patches offset.
    + Remove fix-qtlocalpeer-compilation patch, merge with upstream.
    + Add 30-fix-spelling-errors.patch patch to fix spelling errors.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Acknowledge NMU. Thanks Andreas Bombe.
  * d/copyright: Extend debian copyright holder years.
  * d/rules: Add support for missing hardening flags.
  * d/menu: Remove, desktop file is default one.
  * d/control: Use HTTPS transport protocol for Vcs-Browser.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 27 Sep 2016 12:02:24 -0500

texmaker (4.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to add missing QDataStream include in singleapp/qtlocalpeer.cpp
    to fix compilation with current QT5. (Closes: #803755)

 -- Andreas Bombe <aeb@debian.org>  Sun, 22 Nov 2015 19:23:01 +0100

texmaker (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches offset.
  * d/copyright: Remove files that
    aren't included by upstream anymore.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 09 Dec 2014 14:10:35 -0500

texmaker (4.3-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright, Add missing diff/* copyright.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 05 Aug 2014 07:13:00 -0500

texmaker (4.2-2) unstable; urgency=medium

  * Use synctex parser provided by libsynctex-dev. (Closes: #753812)
    + Thanks to Sebastian Ramacher for the patch.
    + Add libsynctex-dev to B-D.
  * Enable parallel Building. (Closes: #751194)
    + Thanks to Pino Toscano for it.
  * Remove debian/source/options because the default now is xz.

 -- Julián Moreno Patiño <julian@debian.org>  Mon, 07 Jul 2014 08:03:03 -0500

texmaker (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Build with QT5.
    - Remove libqt4-dev, libpoppler-qt4-dev, libpoppler-private-dev
      and libqtwebkit-dev from B-D.
    - Add qtscript5-dev, qtbase5-dev, libpoppler-qt5-dev,
      libpoppler-private-dev (>= 0.24.5-2), libqt5webkit5-dev,
      qtdeclarative5-dev and libqt5opengl5-dev to B-D.
    - Remove ibus-qt4 from Recommends. (not necessary in QT5)
    - Add export QT_SELECT := qt5 in d/rules.
  * Extend upstream and debian copyright holder years.
  * Add myself to Uploaders.

 -- Julián Moreno Patiño <julian@debian.org>  Tue, 03 Jun 2014 10:48:05 -0500

texmaker (4.1.1-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 15 Mar 2014 10:07:36 +0100

texmaker (4.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh 10_spelling_dict.patch patch.
  * debian/control:
    - Add Recommends on texlive-lang-english and
      latex-beamer.
    - Add Suggests on texlive-lang-all

 -- Julián Moreno Patiño <julian@debian.org>  Thu, 14 Nov 2013 10:13:33 -0500

texmaker (4.0.4-1) unstable; urgency=low

  * New upstream version
    Patch 30-fix-ftbfs-arm.patch is applied upstream
  * debian/control:
     - cme fix dpkg-control
     - fix sequence of virtual packages
     - Build-Depends: libpoppler-private-dev
       Closes: #721881

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2013 10:12:21 +0200

texmaker (4.0.3-2) unstable; urgency=low

  * Team upload.
  * Add 30-fix-ftbfs-arm.patch to fix FTBFS on
    armel and armhf arches.

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 09 Aug 2013 17:55:44 -0500

texmaker (4.0.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release. (Closes: #701366)
  * Rename d/texmaker.links to d/texmaker-data.links
    to avoid broken symlinks.
  * d/control:
    + Bump Standards-Version to 3.9.4 (no changes).
    + Remove DM-Upload-Allowed.
    + Use canonical URIs for Vcs-* fields.
  * d/rules: Remove override_dh_auto_build to get
    hardening flags. Thanks to Simon Ruderich. (Closes: #688697)
  * Add 20-add-keywords-desktop-file.patch patch to add
    missing keywords entry to the desktop file.
  * Update 10_spelling_dict.patch patch.
  * Update d/copyright.
    + Add missing copyright holders.
  * Update d/menu to use absolute icon path.

 -- Julián Moreno Patiño <julian@debian.org>  Fri, 09 Aug 2013 08:05:11 -0500

texmaker (3.4-1) unstable; urgency=low

  * New upstream version
  * debian/rules:
     - replace the --before/--after magic by override_*
     - enable hardening

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jul 2012 08:56:48 +0200

texmaker (3.3.4-1) unstable; urgency=low

  * New upstream version (patches updated)
  * debhelper 9 (control+compat)
    (hardening flags probably need patching build system)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2012 16:29:33 +0200

texmaker (3.3.2-1) unstable; urgency=low

  * New upstream version (patches updated)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Mar 2012 19:11:03 +0100

texmaker (3.3.1-1) unstable; urgency=low

  * New upstream version (incl. adapting patch)
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * Removed quilt dependency (control+rules)
  * debian/copyright: Fixed DEP5 issues using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Tue, 28 Feb 2012 09:05:09 +0100

texmaker (3.2.2-1) unstable; urgency=low

  * New upstream version
  * debian/control: Recommends: ibus-qt4 as advised on upstream download
    page

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2012 14:05:02 +0100

texmaker (3.2-1) unstable; urgency=low

  * New upstream version (updated patches and removed patches
    applied upstream)

 -- Andreas Tille <tille@debian.org>  Fri, 23 Dec 2011 13:48:08 +0100

texmaker (3.1-1) unstable; urgency=low

  * New upstream version
    Closes: #647948
  * Fixed Vcs fields
  * debian/patches/10_spelling_dict.patch: Set variable provided by
    upstream in config instead of patching real code
  * debian/patches/20_spelling_default_dict.patch: Seems that there
    is another place to fix spelling directory:
    Closes: #638286

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2011 13:43:42 +0100

texmaker (3.0.2-2) unstable; urgency=low

  * Enable separate arch all/any builds as it was requested
    by Ubuntu (Thanks for the patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #625819

 -- Andreas Tille <tille@debian.org>  Fri, 06 May 2011 13:53:18 +0200

texmaker (3.0.2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/patches/20_gcc_4.6.patch: Fix FTBFS with 4.6 (thanks for the
    patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #624611
  * debian/rules: Make sure icons are properly named (thanks for the
    patch to Maia Kozheva <sikon@ubuntu.com>)
    Closes: #624613

 -- Andreas Tille <tille@debian.org>  Sat, 30 Apr 2011 08:37:54 +0200

texmaker (3.0-1) unstable; urgency=low

  * New upstream version
    (adapted patch, removed patches applied upstream)
  * debian/texmaker-data.install: Adapt to new version
  * debian/control: Added missing
    Depends: texmaker-data (= ${source:Version})

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2011 22:03:49 +0200

texmaker (2.3-1) unstable; urgency=low

  * New upstream version (adapted patches)
  * Build-Depends: libqtwebkit-dev =adapted Ubuntu patch which
    Closes: #618140
  * Debhelper 8 (control+compat)

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2011 09:54:20 +0100

texmaker (2.2.1-1) unstable; urgency=low

  * New upstream version
  * Refreshing patches

 -- Ruben Molina <rmolina@udea.edu.co>  Tue, 08 Feb 2011 22:47:54 -0500

texmaker (2.1-1) unstable; urgency=low

  * New upstream version
  * Refreshing debian/patches/10_spelling_dict.patch
  * New patch solving spelling-error-in-binary issues.
  * Formatting debian/copyright under DEP-5.
  * Adding new copyright entries for pdfviewer.*, pdfdocumentwidget.*
    and synctex_parser* (new files included in version 2.1)

 -- Ruben Molina <rmolina@udea.edu.co>  Mon, 13 Dec 2010 13:17:45 -0500

texmaker (2.0-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bumped to 3.9.1 (no changes)
  * Build-Depends: libpoppler-qt4-dev
  * Build-Depends quilt and "--with quilt" in debian/rules
  * debian/patches/10_spelling_dict.patch: set default to seek for
    a dictionaries to /usr/share/myspell/dicts
    Closes: #591340

 -- Andreas Tille <tille@debian.org>  Thu, 26 Aug 2010 13:17:52 +0200

texmaker (1.9.9-2) unstable; urgency=low

  * debian/rules: Symlinks to enable texmaker binary finding the
    documentation in /usr/share/doc/texmaker
    Closes: #569771
  * debian/control: debhelper overrides needs Build-Depends:
    debhelper (>= 7.0.50~)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Feb 2010 14:16:10 +0100

texmaker (1.9.9-1) unstable; urgency=low

  * New upstream version.
  * Now using using source format `3.0 (quilt)' for orig.tar.bz support.
  * Now using tiny rules from dh 7.
  * Standards-Version bumped to 3.8.4 (no changes).
  * Add a new texmaker-data package (big-usr-share, 83%)
  * New relationships and some changes in *install needed for the split.
  * Add ${misc:Depends} for debhelper.

 -- Ruben Molina <rmolina@udea.edu.co>  Sun, 07 Feb 2010 22:21:10 -0500

texmaker (1.9.2-2) UNRELEASED; urgency=low

  * Standards-Version bumped to 3.8.2 (no changes)
  * Updated debian/copyright, adding missing information
  * Removed deprecated dh_desktop rule
  * Two sed lines added to debian/rules to fix a pedantic lintian warning
    (spelling-error-in-binary). Not important enough to add a patch system.
  * Updated short description
  * Added an idempotent get-orig-source rule.

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 03 Jul 2009 23:13:53 -0500

texmaker (1.9.2-1) unstable; urgency=low

  * New upstream version
  * Recommends: asymptote

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jul 2009 14:43:18 +0200

texmaker (1.9.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - debhelper (>= 7)
    - libqt4-dev (>=4.5.1) (required by upstream
    - Standards-Version: 3.8.1, no changes needed
  * debian/texmaker.install: adapt to changes in upstream directory
    layout
  * No quilt patches any more because applied upstream

 -- Andreas Tille <tille@debian.org>  Thu, 28 May 2009 14:38:43 +0200

texmaker (1.8-1) unstable; urgency=low

  [ Ruben Molina ]
  * New Upstream Release.
  * Update patches.
  * Update debian/watch.
  * Close old 'inclusion of external files' bugreport, because it was
    confirmed to be fixed by Upstream since v1.7.1 (Closes: #469920).

 -- Ruben Molina <rmolina@udea.edu.co>  Fri, 26 Dec 2008 20:57:07 -0500

texmaker (1.7.1-3) UNRELEASED; urgency=low

  [ Ruben Molina ]
  * Acknowledge previous NMU, and Include his changes and changelog entry
    into the debian-science SVN repository (Closes: #494291)
  * Add ghostscript to Recommends. Favor it over gs-*
  * Fix LaTeX spelling on doc-base and description
  * Fix hyphen-used-as-minus-sign in texmaker.1
  * Update 20_texmaker_desktop.patch to remove the deprecated Encoding key

  [ Andreas Tille ]
  * Removed obsolete packages from Depends: gs-gpl, gs-esp, gs-afpl,
    tetex-extra
  * Removed Joseph Smidt because his mail address bounces
  * Added Ruben Molina to Uploaders

 -- Andreas Tille <tille@debian.org>  Fri, 12 Sep 2008 07:18:37 +0200

texmaker (1.7.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Favor texlive-latex-extra over tetex-extra.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Aug 2008 09:42:22 +0200

texmaker (1.7.1-2) unstable; urgency=low

  * Fixed watch file (thanks to Riccardo Stagni <unriccio@email.it>)
    Closes: #483796
  * Reasonable setting for spelling dictionary and better error
    message, if dictionary was not found
  * Recommends: hunspell-dictionary | openoffice.org-spellcheck-de-de |
     myspell-dictionary | hunspell-en-us
  * Standards-Version: 3.8.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jun 2008 12:57:21 +0200

texmaker (1.7.1-1) unstable; urgency=low

  * Putted TexMaker under team maintenance by Debian Science Team
    svn://svn.debian.org/svn/debian-science/typesetting/texmaker/trunk/
    (E-Mail of former maintainer Joseph Smidt <jsmidt@byu.edu> bounces)
  * New upstream version
    Closes: #479691
  * The shortcut key bug does not even exist in previous version any more
    according to the bug reporter
    Closes: #434397
  * added watch file
    Closes: #479693
  * debian/control
    - Standards-Version: 3.7.3 (no changes needed)
    - Homepage field
  * debian/menu: s/Apps/Applications/
  * debian/rules
    - added dh_icons and dh_desktop call (and bumped debhelper versioned
      dependency to (>= 5.0.51)
    - replaced "-$(MAKE) distclean" by
      "[ ! -f Makefile ] || $(MAKE) distclean"
    - symlinks for documentation files to /usr/share/texmaker (see below)
    - don't use make install from upstream but move files via dh_install
      Closes: #438208
  * debian/texmaker.desktop -> rather make use of upstream desktop file
  * debian/texmaker.install
    - use files from upstream source as install targets rather than
      from debian/texmaker
    - use symlink via texmaker.links for texmaker32x32.png
    - copy files from utilities relevant for /usr/share/doc to this
      directory and put symlinks to /usr/share/texmaker into place
      in debian/rules
      Closes: #479692
  * Added doc-base entry
  * debian/patches/10_external_files_inclusion*.patch: keep backup of
    Ubuntu patch for #469920 (Gianluca Borello) in case new upstream
    does not really solve the problem.  Upstream was contacted and
    bug will either closed manually or further means will be taken.
  * Use quilt to fix a lintian warning about deprecated keys in
    texmaker.desktop

 -- Andreas Tille <tille@debian.org>  Tue, 27 May 2008 14:21:01 +0200

texmaker (1.6-1) unstable; urgency=low

  * New Upstream Release (Closes: #430051)

 -- Joseph Smidt <jsmidt@byu.edu>  Sun,  1 Jul 2007 12:58:40 -0600

texmaker (1.5-1) unstable; urgency=low

  * New Upstream Release

 -- Joseph Smidt <jsmidt@byu.edu>  Sat, 27 Jan 2007 14:43:00 -0700

texmaker (1.4-2) unstable; urgency=low

  * Change build-dep on libqt4-dev to libqt4-dev (>=4.2)

 -- Joseph Smidt <jsmidt@byu.edu>  Wed, 25 Oct 2006 19:58:06 -0600

texmaker (1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix correct quoting of -DPREFIX on the c++ command line
    (closes: #392386)
  * Added build-dep on libglib2.0-dev

 -- Bas Zoetekouw <bas@debian.org>  Wed, 18 Oct 2006 22:18:32 +0200

texmaker (1.4-1) unstable; urgency=low

  * New upstream release
  Add aspell as a recommended package since spell-check depends on it

 -- Joseph Smidt <jsmidt@byu.edu>  Wed,  2 Aug 2006 12:45:11 -0600

texmaker (1.3-2) unstable; urgency=low

  * Change Short and Long descriptions as well the manpage (Closes: #375795)

 -- Joseph Smidt <jsmidt@byu.edu>  Mon,  3 Jul 2006 04:22:25 -0600

texmaker (1.3-1) unstable; urgency=low

  * Initial release (Closes: #345806)

 -- Joseph Smidt <jsmidt@byu.edu>  Tue, 25 Apr 2006 04:16:22 -0600
